## NAME

d.rast.leg.sh - Displays a raster map and its legend on a graphics window.
(GRASS Shell Script)

## SYNOPSIS

d.rast.leg.sh
d.rast.leg.sh help
d.rast.leg.sh rast_map [num_of_lines]

## DESCRIPTION

d.rast.leg.sh is a UNIX Bourne shell macro which clears the entire screen, divides it into a main (left) and a minor (right) frames, and then display a raster map in the main frame and the map legend in the minor frame. The main frame remains active when the program finishs.

## OPTIONS

The user can run the program interactively or non-interactively.

### Parameters:

rast_map
  A raster map to be displayed.
num_of_lines
  Number of lines to appear in the legend. If this number is not given, the legend frame will display as many lines as number of categories in the map, otherwise, it will display the first num_of_lines minus 1 categories with the rest being truncated.

## NOTES

The user may adjust the num_of_lines parameter or the size of graphics window to get an appropriate result.

## FILES

See the file d.rast.leg.sh under `$GISBASE/scripts`.

## SEE ALSO

d.legend
d.rast

## AUTHORS

Jianping Xu,
Scott Madry,
Rutgers University

Last changed: $Date: 2002/01/25 05:45:33 $